Package it.ernytech.tdlib

## Class TdApi.MessageVideo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageVideo

Enclosing class:
  TdApi

    public static class TdApi.MessageVideo
    extends TdApi.MessageContent

A video message.

### Field Summary

Fields
`TdApi.FormattedText` `caption` Video caption.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isSecret` True, if the video thumbnail must be blurred and the video must be shown only while tapped.
`TdApi.Video` `video` Message content.

### Constructor Summary

Constructors
`MessageVideo()` Default constructor.
`MessageVideo​(TdApi.Video video, TdApi.FormattedText caption, boolean isSecret)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### video

    public TdApi.Video video

Message content.

#### caption

    public TdApi.FormattedText caption

Video caption.

#### isSecret

    public boolean isSecret

True, if the video thumbnail must be blurred and the video must be shown only while tapped.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageVideo

    public MessageVideo()

Default constructor.

#### MessageVideo

    public MessageVideo​(TdApi.Video video,
                        TdApi.FormattedText caption,
                        boolean isSecret)

Constructor for initialization of all fields.

Parameters:
  `video` - Message content.
  `caption` - Video caption.
  `isSecret` - True, if the video thumbnail must be blurred and the video must be shown only while tapped.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR